﻿namespace ElasticSearchRepository
{
    using Nest;
    using System;

    public class BaseRepository
    {
        protected ElasticClient client;

        public BaseRepository(Uri elastiSearchServerUrl = null)
        {
            this.client = elastiSearchServerUrl != null ? new ElasticClient(new ConnectionSettings(elastiSearchServerUrl)) : new ElasticClient();
        }
    }
}
