﻿
namespace ElasticSearchApi.Controllers
{
    using System.Web.Http;
    using ElasticSearchRepository;

    [RoutePrefix("api/discovery")]
    public class DiscoveryController : ApiController
    {
        [HttpGet]
        [ActionName("search")]
        public IHttpActionResult Search(string searchTerm)
        {
            var discoveryRepository = new DiscoveryRepository();
            var result = discoveryRepository.SearchAll(searchTerm);

            return this.Ok(result);
        }
    }

}
